package com.morozov.core_backend_api.message.requests


data class MessageRepliesRequest(
    //В случае если известен идентификатор чата - необходимо отправить данный параметр
    var chat_id: Long? = null,

    //Только для редактирования сообщения. Если задан chat_id и message_id, то изменяется текущее указанное сообщение, а не создается новое. Изменять можно только сообщения типа standart. Анализируются и обновляются поля message и file_ids.
    var message_id: Long? = null,

    //Если не указано - то 0
    var page: Int? = null,

    //Количество сообщений первого уровня (если запрашивается ответ на ответ - надо учесть это)
    var amount: Int? = null,

    //Смещение для постраничной навигации в случае если уже сколько-то сообщений было загружено при первичном получении данных
    var start_amount: Int? = null,

    //В виде общего массива возвращать или разложенного по дереву
    //При возврате в виде дерева возвращается все двухуровневым деревом. Если запрошен древовидный вид для сообщения, которое уже является ответом на что-то - то этот параметр будет проигнорирован!!!
    var tree_view: Boolean? = null,

    //Количество сообщений в ветках деревьев уровня 2
    var tree_amount: Int? = null,

    //0 или 1
    //0 - от более старых к новым,
    //1 - от более новых к старым
    var direction: Int = 0,

    //Нужно ли возвращать мини профили авторов ответов
    var get_owner: Boolean? = null
)